package com.yunzhi.nanyang.service;

import com.yunzhi.nanyang.entity.SysRolePermission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 角色权限 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
public interface ISysRolePermissionService extends IBaseService<SysRolePermission> {

    List<SysRolePermission> listBy(boolean isAdmin, String userId, String roleId);

    boolean checkAccess(String userId, String roleId, String permissionId);
}
